#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

SKIP_TESTS = $(shell cat debian/tests/pkg-perl/smoke-skip)
TEST_FILES = $(filter-out $(SKIP_TESTS),$(wildcard t/*.t))

%:
	dh $@

override_dh_auto_test:
	dh_auto_test -- TEST_FILES="$(TEST_FILES)"

override_dh_auto_install:
	dh_auto_install
	mv -v $(TMP)/usr/bin/mysqldiff $(TMP)/usr/bin/mysql-schema-diff
	mv -v $(TMP)/usr/share/man/man1/mysqldiff.1p $(TMP)/usr/share/man/man1/mysql-schema-diff.1p
